VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::networking::RoutesTypes::Route Class Reference

`Routes.Route` class Structure that describes how routing is performed for a particular destination and prefix. More...

List of all members.

## Public Member Functions
| Route ()
| Creates a default new instance.
string | GetDestination ()
| Destination address that defines this route.
void | SetDestination (string destination)
| Destination address that defines this route.
long | GetPrefix ()
| Destination CIDR prefix that defines this route.
void | SetPrefix (long prefix)
| Destination CIDR prefix that defines this route.
string | GetGateway ()
| Gateway address.
void | SetGateway (string gateway)
| Gateway address.
string | GetInterfaceName ()
| Output device interface, for example, "nic0".
void | SetInterfaceName (string interfaceName)
| Output device interface, for example, "nic0".
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Routes.Route` class Structure that describes how routing is performed for a particular destination and prefix.

A destination/prefix of 0.0.0.0/0 ( for IPv4) or ::/0 (for IPv6) refers to the default gateway.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::networking::RoutesTypes::Route::Route | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::networking::RoutesTypes::Route::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::networking::RoutesTypes::Route::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::networking::RoutesTypes::Route::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::networking::RoutesTypes::Route::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::networking::RoutesTypes::Route::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::networking::RoutesTypes::Route::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::techpreview::networking::RoutesTypes::Route::GetDestination | ( |  | ) | `[inline]`

Destination address that defines this route.

string vmware::appliance::techpreview::networking::RoutesTypes::Route::GetGateway | ( |  | ) | `[inline]`

Gateway address.

override int vmware::appliance::techpreview::networking::RoutesTypes::Route::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::networking::RoutesTypes::Route::GetInterfaceName | ( |  | ) | `[inline]`

Output device interface, for example, "nic0".

long vmware::appliance::techpreview::networking::RoutesTypes::Route::GetPrefix | ( |  | ) | `[inline]`

Destination CIDR prefix that defines this route.

See http://www.oav.net/mirrors/cidr.html for netmask-to-prefix conversion.

void vmware::appliance::techpreview::networking::RoutesTypes::Route::SetDestination | ( | string | destination | ) | `[inline]`

Destination address that defines this route.

void vmware::appliance::techpreview::networking::RoutesTypes::Route::SetGateway | ( | string | gateway | ) | `[inline]`

Gateway address.

void vmware::appliance::techpreview::networking::RoutesTypes::Route::SetInterfaceName | ( | string | interfaceName | ) | `[inline]`

Output device interface, for example, "nic0".

void vmware::appliance::techpreview::networking::RoutesTypes::Route::SetPrefix | ( | long | prefix | ) | `[inline]`

Destination CIDR prefix that defines this route.

See http://www.oav.net/mirrors/cidr.html for netmask-to-prefix conversion.

override string vmware::appliance::techpreview::networking::RoutesTypes::Route::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- RoutesTypes.cs